/* -----------------------БУРГЕР КНОПКА ДЛЯ ШАПКИ-------------------- */
.burger_btn {
    position: relative;
    width: 50px;
    height: 50px;
    background-color: transparent;
    margin: 20px 0 0 0;
    display: none;
    z-index: 1001;
    cursor: pointer;
    order: 2; /* Выталкиваем бургер вправо */
    margin-left: auto;
}

/* Палочки кнопки */
.burger_btn span{
    position: absolute;
    left: 10px;
    width: 30px;
    height: 3px;
    background: var(--burger-color);
    /* Анимация */
    transition: transform 0.3s, opacity 0.3s;
    border-radius: 3px;
}

/* Первая палочка */
.burger_btn span:nth-child(1) {
    /* С помощью transform и атрибута translate перемещаем одну из палочек вверх на 10пкс */
    transform: translateY(-10px);
    top: 25px;
}

/* Вторая палочка */
.burger_btn span:nth-child(2) {
    top: 24px;
}

/* Третья палочка */
.burger_btn span:nth-child(3) {
    top: 33px;
    transform: translateY(0);
}

/* Анимация при активном состоянии */
.burger_btn.active span:nth-child(1) {
    transform: rotate(45deg);
    top: 24px;
}

.burger_btn.active span:nth-child(2) {
    opacity: 0;
}

.burger_btn.active span:nth-child(3) {
    transform: rotate(-45deg);
    top: 24px;
}

/* -----------МЕДИА-ЗАПРОСЫ ДЛЯ АДАПТАЦИИ------------- */
@media screen and (max-width: 1150px) {
    
    .intro {
        padding-top: 10%;
    }
    
}

@media screen and (max-width: 992px) {
    .container {
        padding: 0 40px 0 40px;
    }
    
    .intro {
        padding-top: 12%;
    }
    
    .about_text {
        width: 80%;
    }
    
    .tg_block, .vk_block {
        width: 46%;
    }
    
}

@media screen and (max-width: 768px) {
    
    .container {
        padding: 0 20px 0 20px;
    }
    .burger_btn {
        display: block;
        cursor: pointer;
    }
    
    .header__inner {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 20px 0 0 0;
        position: relative;
    }
    
    .desktop-nav {
        position: fixed;
        right: -100%;
        top: 0;
        width: 245px;
        height: 100vh;
        background: rgba(0, 0, 0, 0.9);
        flex-direction: column;
        padding: 100px 20px 20px 20px;
        transition: right 0.3s ease;
        z-index: 1000;
        gap: 25px;
        
    }
    
    .header.open .desktop-nav {
        right: 0;
    }
    
    .desktop-nav .header__link {
        color: var(--burger-menu-text);
        font-size: 18px;
        padding: 10px 0;
        display: block;
        text-align: left;
        margin-left: 35px;

    }
    
    .desktop-nav .header__link:last-child {
        border-bottom: none;
    }
    
    .switch_butt {
        z-index: 1001;
        order: 1;
    }
    
    .intro__inner {
        text-align: center;
    }
    
    .about_text {
        width: 100%;
        margin: 30px auto;
    }

    /* Re-worked by Kopheek */
    .links__item {
        zoom: 0.85;
        width: 70%;
        margin-left: auto;
        margin-right: auto;
    }
    /* the end of re-working */
    
    .tg_block_mainPage {
        margin: 30px auto 10px auto;
    }
    
    .main_title {
        font-size: 35px;
    }
    
    .header__inner {
        position: relative;
        z-index: 1002;
    }
    
    /* Убеждаемся что контент не перекрывает бургер */
    .intro {
        position: relative;
        z-index: 1;
        padding-top: 21%;
    }
    
    /* -------АДАПТИВ БЕСТИАРИЯ------- */
    
    .intro_bestiary {
        padding-top: 11%;
    }
    
    .list_text {
        display: none;
    }
    
    .mobile_list_text {
        display: block;
        
    }
    
    .intro__bestiary__inner {
        text-align: left;
    }
    
    
    /* -------АДАПТИВ АВТОКЛУБА------- */
    
    .intro_autoclub_inner {
        text-align: left;
    }
    
    .main_blocks {
        margin-top: 15px;
    }
    
    .block_text {
        display: none;
        
    }
    .mobile_block_text {
        display: block;
        margin-top: 20px;
    }
    
    .left_block {
        width: auto;
        margin-top: 0;
    }
    
    .left_block img {
        width: 150px;
    }
    
    .right_block {
        width: 62%;
    }
    
    /* -------ПОДВАЛ------- */ 
    .footer {
        margin-top: 30px;
        min-height: 0;
    }
    
    .footer__inner {
        padding: 11px 10px;
        text-align: center;
    }
    
    .footer__nav {
        display: none;
    }
}

@media screen and (max-width: 480px) {
    
    /* АДАПТАЦИЯ ИНТРО */
    
    .tg_block, .vk_block {
        width: 68%;
        font-size: 20px;
    }

    /* Re-worked by Kopheek */
    .tg_block_mainPage {
        zoom: 0.85;
        width: 100%;
        margin-left: auto;
        margin-right: auto;
    }
    /* the end of re-working */
    
    .tg_block img {
        width: 13%;
        top: 7px;
    }
    
    .vk_block img {
        width: 13%;
        top: 8px;
    }
    
    .intro {
        padding-top: 27%;
    }
    
    .about_text {
        font-size: 19px;
    }
    
    /* -------БЕСТИАРИЙ------- */ 
    .intro_bestiary {
        padding-top: 16%;
    }
    
    /* -------АВТОКЛУБ------- */ 
    .left_block {
        margin-top: 0;
    }
    
    .left_block img {
        width: 130px;
        height: auto;
    }
    
    .club_title {
        font-size: 15px;
    }
    .club_text {
        margin-top: 10px;
        font-size: 10px;
    }
    
    .soc_text {
        font-size: 10px;
        padding: 0;
        margin: auto 10px auto 0;
    }
    
    .soc_link {
        padding: 4px 4px;
        border-radius: 10px;
    }
    
    .soc_link img {
        width: 20px;
        height: 20px;
    }
    .mobile_block_text {
        font-size: 15px;
    }
}